---

big_files:
  script:
    - >
      big_files=$(find . -size +130M -not -path "./.git/*");
      if [[ $big_files ]];
      then printf "Found some huge files 😱\n$big_files"; exit 1;
      else printf "No huge files found ✔️"; exit 0; fi;

arduino-lint:
  before_script:
    - curl -fsSL https://raw.githubusercontent.com/arduino/arduino-lint/main/etc/install.sh | sh
    - export PATH="$(pwd)/bin":$PATH
  script:
    - cd ..
    - arduino-lint --recursive daq/
